Bug 858380 - Review Request: Gluegen2 - Java/JNI glue code generator to call out to ANSI C
Review Request: Gluegen2 - Java/JNI glue code generator to call out to ANSI C
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: JOGL2
  Show dependency treegraph
 
Reported: 2012-09-18 16:08 EDT by Clément DAVID
Modified: 2012-12-10 03:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 03:59:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Clément DAVID 2012-09-18 16:08:59 EDT
Spec URL: http://davidcl.fedorapeople.org/gluegen2.spec
SRPM URL: http://davidcl.fedorapeople.org/gluegen2-2.0-0.1.rc10.fc17.src.rpm
Fedora Account System Username: davidcl

Description: 

GlueGen is a tool which automatically generates the Java and JNI
code necessary to call C libraries. It reads as input ANSI C header
files and separate configuration files which provide control over
many aspects of the glue code generation. GlueGen uses a complete
ANSI C parser and an internal representation (IR) capable of
representing all C types to represent the APIs for which it
generates interfaces.
Comment 1 gil cattaneo 2012-09-18 20:29:48 EDT
hi
can you add a link also in %_jnidir (/usr/lib*/java), and rebuild the package using also the
tasks maven.prepare.pom maven.prepare.native.pom, and install the maven metadta files?

for examples
ant -f make/maven-common.xml -Dbuild=$PWD/build -Dmaven.artifacts.version=%{namedversion}"  maven.prepare.pom maven.prepare.native.pom

for javadoc
ant -f make/build.xml -Djavadoc.link=%{_javadocdir}/java javadoc
thanks
regard
Comment 2 Clément DAVID 2012-09-20 15:27:24 EDT
Spec URL: http://davidcl.fedorapeople.org/gluegen2.spec
SRPM URL: http://davidcl.fedorapeople.org/gluegen2-2.0-0.2.rc10.fc17.src.rpm
Fedora Account System Username: davidcl

hi, updated. I got bug 758051 but resolve with a relative symlink.
Comment 3 gil cattaneo 2012-09-20 16:45:17 EDT
hi Clément,
great!
there is a problem with javadoc
you should copy only the content not the whole folder

in your spec file
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rdf build/javadoc/gluegen %{buildroot}%{_javadocdir}/%{name}
should be
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rdf build/javadoc/gluegen/* %{buildroot}%{_javadocdir}/%{name}
or
mkdir -p %{buildroot}%{_javadocdir}
cp -rdf build/javadoc/gluegen %{buildroot}%{_javadocdir}/%{name}
thanks
Comment 4 gil cattaneo 2012-09-20 17:32:02 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[!]: MUST Header files in -devel subpackage, if present.
     Note: gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_inttypes.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_stddef.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_stdint.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_types.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/inttypes.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/stdarg.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/stddef.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/stdint.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/macosx/dynamic-linker.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_inttypes.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_stddef.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_stdint.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_types.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/unix/dynamic-linker.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/windows/dynamic-linker.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example1/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example2/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example3/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example4/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example5/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example6/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example7/function.h
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[-]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: Unversioned so-files in non-devel package (fix or
     explain):gluegen2-2.0-0.2.rc10.fc17.i686.rpm :
     /usr/lib/gluegen2/libgluegen2-rt.so


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[!]: EXTRA Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)" For detailed output of licensecheck
     see file: /home/gil/858380-gluegen2/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[-]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Upstream MD5sum check error, diff is in
     /home/gil/858380-gluegen2/diff.txt
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (gluegen-v2.0-rc10.tar.7z)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define gluegen_commons_dir %{_datadir}/gluegen2-commons %define
     inst_srcdir %{buildroot}%{gluegen_commons_dir}


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[!]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[-]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Javadoc subpackages have Requires: jpackage-utils
See: https://fedoraproject.org/wiki/Packaging:Java
[!]: MUST Header files in -devel subpackage, if present.
     Note: gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_inttypes.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_stddef.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_stdint.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_types.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/inttypes.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/stdarg.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/stddef.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/gluegen/stdint.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/macosx/dynamic-linker.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_inttypes.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_stddef.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_stdint.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_types.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/unix/dynamic-linker.h
     gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/gluegen2-commons/make/stub_includes/windows/dynamic-linker.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example1/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example2/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example3/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example4/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example5/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example6/function.h
     gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm :
     /usr/share/doc/gluegen2/example7/function.h
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Upstream MD5sum check error, diff is in
     /home/gil/858380-gluegen2/diff.txt
See: http://fedoraproject.org/wiki/Packaging/SourceURL

Rpmlint
-------
Checking: gluegen2-2.0-0.2.rc10.fc17.i686.rpm
          gluegen2-2.0-0.2.rc10.fc17.src.rpm
          gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm
          gluegen2-debuginfo-2.0-0.2.rc10.fc17.i686.rpm
          gluegen2-javadoc-2.0-0.2.rc10.fc17.noarch.rpm
          gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm
gluegen2.src: W: file-size-mismatch gluegen-v2.0-rc10.tar.7z = 49950720, http://jogamp.org/deployment/jogamp-current/archive/Sources/gluegen-v2.0-rc10.tar.7z = 35207048
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/gluegen/stdint.h
gluegen2-commons.noarch: W: dangling-symlink /usr/share/gluegen2-commons/make/lib/antlr.jar /usr/share/java/antlr.jar
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/gluegen/stdarg.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/gluegen/inttypes.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_stdint.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/unix/dynamic-linker.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_stddef.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/windows/dynamic-linker.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_inttypes.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/gluegen/stddef.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_stddef.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_inttypes.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_stdint.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/gluegen/gluegen_types.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/macosx/dynamic-linker.h
gluegen2-commons.noarch: W: devel-file-in-non-devel-package /usr/share/gluegen2-commons/make/stub_includes/platform/gluegen_types.h
gluegen2-commons.noarch: W: dangling-symlink /usr/share/gluegen2-commons/make/lib/junit.jar /usr/share/java/junit.jar
6 packages and 0 specfiles checked; 0 errors, 18 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gluegen2-javadoc gluegen2-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Diff spec file in url and in SRPM
---------------------------------
--- /home/gil/858380-gluegen2/srpm/gluegen2.spec	2012-09-20 22:55:02.069973163 +0200
+++ /home/gil/858380-gluegen2/srpm-unpacked/gluegen2.spec	2012-09-20 22:56:07.769479931 +0200
@@ -168,5 +168,5 @@
 
 %changelog
-* Mon Sep 20 2012 Clément David <c.david86@gmail.com> - 2.0-0.2.rc10
+* Mon Sep 19 2012 Clément David <c.david86@gmail.com> - 2.0-0.2.rc10
 - Add javadoc subpackage
 - Provide maven pom files
Requires
--------
gluegen2-2.0-0.2.rc10.fc17.i686.rpm (rpmlib, GLIBC filtered):
    
    java >= 1:1.6.0
    jpackage-utils  
    libc.so.6  
    rtld(GNU_HASH)  

gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    

gluegen2-debuginfo-2.0-0.2.rc10.fc17.i686.rpm (rpmlib, GLIBC filtered):
    

gluegen2-javadoc-2.0-0.2.rc10.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    

gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    ant-antlr  
    ant-contrib  
    ant-junit  
    cpptasks  
    gluegen2  

Provides
--------
gluegen2-2.0-0.2.rc10.fc17.i686.rpm:
    
    gluegen2 = 2.0-0.2.rc10.fc17
    gluegen2(x86-32) = 2.0-0.2.rc10.fc17
    libgluegen2-rt.so  
    mvn(org.jogamp.gluegen:gluegen)  
    mvn(org.jogamp.gluegen:gluegen-rt)  

gluegen2-doc-2.0-0.2.rc10.fc17.noarch.rpm:
    
    gluegen2-doc = 2.0-0.2.rc10.fc17

gluegen2-debuginfo-2.0-0.2.rc10.fc17.i686.rpm:
    
    gluegen2-debuginfo = 2.0-0.2.rc10.fc17
    gluegen2-debuginfo(x86-32) = 2.0-0.2.rc10.fc17

gluegen2-javadoc-2.0-0.2.rc10.fc17.noarch.rpm:
    
    gluegen2-javadoc = 2.0-0.2.rc10.fc17

gluegen2-commons-2.0-0.2.rc10.fc17.noarch.rpm:
    
    gluegen2-commons = 2.0-0.2.rc10.fc17

MD5-sum check
-------------
http://jogamp.org/deployment/jogamp-current/archive/Sources/gluegen-v2.0-rc10.tar.7z :
  CHECKSUM(SHA256) this package     : 95fb30c5bff71b6f29c860cc2291af9c602647a383bd25ba8d8930eec73046a0
  CHECKSUM(SHA256) upstream package : a4f8ac3e913d2c218727e35170436f83e0bd5321e9e5487182a9782b14182105
diff -r also reports differences
Comment 5 gil cattaneo 2012-09-20 17:55:52 EDT
hi
take this review ...?

Ignore this "issue"
[!]: MUST Header files in -devel subpackage, if present.
the header file are not usefull for developing, only used for build this package

please fix %changelog
-* Mon Sep 20 2012 Clément David <c.david86@gmail.com> - 2.0-0.2.rc10
+* Mon Sep 19 2012 Clément David <c.david86@gmail.com> - 2.0-0.2.rc10
 - Add javadoc subpackage
 - Provide maven pom files

and 
gluegen2-commons.noarch: W: dangling-symlink /usr/share/gluegen2-commons/make/lib/antlr.jar /usr/share/java/antlr.jar
gluegen2-commons.noarch: W: dangling-symlink /usr/share/gluegen2-commons/make/lib/junit.jar junit.jar

can you add (or patch) in gluegen-properties.xml

and remove 
build-jar-repository -s -p make/lib/ antlr junit

sed -i 's|classpath="${gluegen.root}/make/lib/cpptasks.jar|classpath="/usr/share/java/cpptasks.jar|' make/gluegen-cpptasks.xml
sed -i 's|value="${gluegen.root}/make/lib/antlr.jar|value="/usr/share/java/antlr.jar|' make/gluegen-properties.xml
sed -i 's|value="${gluegen.root}/make/lib/junit.jar|value="/usr/share/java/junit.jar|' make/gluegen-properties.xml
sed -i 's|value="${ant.home}/lib/ant.jar|value="/usr/share/java/ant.jar|' make/gluegen-properties.xml
sed -i 's|value="${ant.home}/lib/ant-junit.jar|value="/usr/share/java/ant/ant-junit.jar|' make/gluegen-properties.xml

should be resolve these 2 warning

fix this also
[!]: MUST Javadoc subpackages have Requires: jpackage-utils
Comment 6 gil cattaneo 2012-09-20 18:01:29 EDT
hi Clément,
take a look here
http://patch-tracker.debian.org/package/gluegen2/2.0-rc8-2

http://patch-tracker.debian.org/patch/series/view/gluegen2/2.0-rc8-2/hideException.diff
resolve some problems with unavailable
gluegen-natives-os_and_arch.jar
thanks 
regard
Comment 7 gil cattaneo 2012-09-20 18:11:03 EDT
ops
seen just now ...

in your spec file
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rdf build/javadoc/gluegen %{buildroot}%{_javadocdir}/%{name}
should be
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rdf build/javadoc/gluegen/javadoc/* %{buildroot}%{_javadocdir}/%{name}
or
mkdir -p %{buildroot}%{_javadocdir}
cp -rdf build/javadoc/gluegen/javadoc %{buildroot}%{_javadocdir}/%{name}
Comment 8 Clément DAVID 2012-09-27 15:05:47 EDT
Spec URL: http://davidcl.fedorapeople.org/gluegen2.spec
SRPM URL: http://davidcl.fedorapeople.org/gluegen2-2.0-0.3.rc10.fc17.src.rpm
Fedora Account System Username: davidcl

Thanks for you review. I renamed gluegen2-commons to gluegen2-devel as it provided some files needed to build gluegen2 based application (Gluegen ant task, jogamp common tasks, gluegen2 stubs).

I also added a %check section to launch the tests suites.
Comment 9 gil cattaneo 2012-09-27 19:55:00 EDT
hi Clément,

[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch1 (0001-renamed-library.patch) Source0
     (gluegen-v2.0-rc10.tar.7z) Patch3 (0003-disable-executable-tmp-
     tests.patch) Patch2 (0002-use-fedora-jni.patch)

Patches use names, which do not follow the Fedora guidelines. The guidelines require prefixes so that users of "rpmbuild" can easily clean up their SOURCES directory.

should be
Patch1:         %{name}-XYZ.patch
or
Patch1:         %{name}-%{version}-XYZ.patch


are really required - usefull?
[!]: MUST Header files in -devel subpackage, if present.
     Note: gluegen2-doc-2.0-0.3.rc10.fc18.noarch.rpm :
     /usr/share/doc/gluegen2/example1/function.h
     gluegen2-doc-2.0-0.3.rc10.fc18.noarch.rpm :
     /usr/share/doc/gluegen2/example2/function.h
     gluegen2-doc-2.0-0.3.rc10.fc18.noarch.rpm :
     /usr/share/doc/gluegen2/example3/function.h
     gluegen2-doc-2.0-0.3.rc10.fc18.noarch.rpm :
     /usr/share/doc/gluegen2/example4/function.h
     gluegen2-doc-2.0-0.3.rc10.fc18.noarch.rpm :
     /usr/share/doc/gluegen2/example5/function.h
     gluegen2-doc-2.0-0.3.rc10.fc18.noarch.rpm :
     /usr/share/doc/gluegen2/example6/function.h
     gluegen2-doc-2.0-0.3.rc10.fc18.noarch.rpm :
     /usr/share/doc/gluegen2/example7/function.h
See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

%%global gluegen_devel_dir %{_datadir}/gluegen2-devel
you can simply renamed %{_datadir}/gluegen2 ... only if you want

thanks
regards
Comment 10 Clément DAVID 2012-10-01 02:27:01 EDT
Hi Gil,

Spec URL: http://davidcl.fedorapeople.org/gluegen2.spec
SRPM URL: http://davidcl.fedorapeople.org/gluegen2-2.0-0.4.rc10.fc17.src.rpm
Fedora Account System Username: davidcl

Updated thanks for the review.

 * [!]: SHOULD SourceX / PatchY prefixed with %{name}.
    Done, I missed that

 * gluegen2-doc contains function.h
    It contains example files which can provide information about how is managed a gluegen2 usage (which emit java files from C .h files).

 * gluegen_devel_dir %{_datadir}/gluegen2-devel
    Updated
Comment 11 gil cattaneo 2012-10-01 08:38:43 EDT
hi Clément,
thanks

APPROVED
Comment 12 Clément DAVID 2012-10-02 14:38:29 EDT
New Package SCM Request
=======================
Package Name: gluegen2
Short Description: Java/JNI glue code generator to call out to ANSI C
Owners: davidcl
Branches: f17 f18 el6
InitialCC: davidcl
Comment 13 Gwyn Ciesla 2012-10-02 14:48:41 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-10-03 02:57:32 EDT
gluegen2-2.0-0.4.rc10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gluegen2-2.0-0.4.rc10.fc18
Comment 15 Fedora Update System 2012-10-03 02:58:49 EDT
gluegen2-2.0-0.4.rc10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gluegen2-2.0-0.4.rc10.fc17
Comment 16 Fedora Update System 2012-10-03 13:01:51 EDT
gluegen2-2.0-0.4.rc10.fc18 has been pushed to the Fedora 18 testing repository.

Note You need to log in before you can comment on or make changes to this bug.